Opened 11 years ago

Closed 11 years ago

#167 closed defect (wontfix)

Dell PowerEdge SC440, Intel Xeon 3060

Reported by: ydario Owned by: pasha
Priority: major Milestone:
Component: ACPI PSD Version: 3.05
Keywords: Cc:

Description

System freeze at os2 logo. Attached a serial cable, this is the dump using the retail SMP kernel.

PSD_install options:" /O1 /!NOD" @#netlabs dot org:3.5#@ACPI core PSD Driver. (c                                                                                
) netlabs.org 2005-2007 Build date: Nov 25 2007 01:57:22                                                        
MPDATA:FF800000 ESP:FF800A70 Sel:1520 UsCPU:0                                             
New Stack = FFD00000 Size:0x8000                                
PSD_INIT ESP=0xFFCFFFE0                       
AcpiOsInitialize ALLOC size 65536 at 0xF9680000                                               
AcpiOsInitialize MapMem size 4096 at 0xFFE9E000                                               
AcpiOsCreateLock 8                  
AcpiOsCreateLock 0                  
AcpiOsPredefinedOverr                   
AcpiOsPredefinedOverride: "_OS_"                                
AcpiOsPredefinedOverride: override to eComStation                                                 
AcpiOsPredefinedOverride: "_GL_"                                
AcpiOsCreateSemaphore: O.K. Handle=0xF96803F8 M:1 I:0                                                     
AcpiOsPredefinedOverride: "_OSI"                                
AcpiOsPredefinedOverride: override to eCS                                         
*** AcpiInitializeSubsystem Status = 0 ***                                          
ACPI: RSDP @ 0xFEBF0/0x24 (v2 DELL  )                                     
ACPI: XSDT @ 0xFD1F2/0x74 (v1 DELL   B8K     0x14 ASL  0x61)                                                            
ACPI: FACP @ 0xFD30A/0xF4 (v3 DELL   B8K     0x14 ASL  0x61)                                                            
ACPI: DSDT @ 0xFFFCF763/0x2D58 (v1 DELL dt_ex 0x1000 INTL 0x20050624)                                                                    
ACPI: FACS @ 0x7FE7CC00/0x40                            
ACPI: SSDT @ 0xFFFD2688/0x88 (v1 DELL st_ex 0x1000 INTL 0x20050624)                                                                   
ACPI: APIC @ 0xFD3FE/0x92 (v1 DELL   B8K     0x14 ASL  0x61)                                                            
ACPI: BOOT @ 0xFD490/0x28 (v1 DELL   B8K     0x14 ASL  0x61)                                                            
ACPI: ASF! @ 0xFD4B8/0x67 (v16 DELL   B8K     0x14 ASL  0x61)                                                             
ACPI: MCFG @ 0xFD51F/0x3E (v1 DELL   B8K     0x14 ASL  0x61)                                                            
ACPI: HPET @ 0xFD55D/0x38 (v1 DELL   B8K     0x14 ASL  0x61)                                                            
ACPI: SSDT @ 0x7FE7CC40/0x1F9 (v1 DpgPmm Cpu0Ist 0x11 INTL 0x20050624)                                                                      
ACPI: SSDT @ 0x7FE7D049/0x1F9 (v1 DpgPmm C                                         
ACPI: SSDT @ 0x7FE7D452/0x140 (v1 DpgPmm CpuPm 0x10 INTL 0x20050624)                                                                    
*** AcpiInitializeTables Status = 0 ***                                       
AcpiOsTableOverride Ex:FFE84763 New:FFCFFFAC SIG:[DSDT]                                                       
tbxface-619 [2] TbLoadNamespace: ACPI Tables successfully acquired                                                                  
*** AcpiLoadTables Status = 0 ***                                 
Table [DSDT]            
Table [FACS]            
Table [FACP]            
Table [SSDT]            
Table [APIC]            
Local APIC address: FEE00000h                             
System also has 8259                    
APIC_PROCESSOR: ProcID 1h LocalApicID 0h - usable                                                 
APIC_PROCESSOR: ProcID 2h LocalApicID 1h - usable                                                 
APIC_PROCESSOR: ProcID 3h LocalApicID                                    
APIC_PROCESSOR: ProcID 4h LocalApicID 7h - not usable                                                     
APIC_PROCESSOR: ProcID 5h LocalApicID 0h - not usable                                                     
APIC_PROCESSOR: ProcID 6h LocalApicID 1h - not usable                                                     
APIC_PROCESSOR: ProcID 7h LocalApicID 2h - not usable                                                     
APIC_PROCESSOR: ProcID 8h LocalApicID 3h - not usable                                                     
APIC_IO: IO ApicID 8h addr FEC00000h INTI 0                                           
APIC_XRUPT_OVERRIDE: Bus: 0h Source 0 Global SysInt 2 - Polarity active: Bus spe                                                                                
c Trigger by: Bus spec                      
APIC_XRUPT_OVERRIDE: Bus: 0h Source 9 Global SysInt 9 - Polarity active: High 0                                                                               
Trigger by: Level                 
APIC_LOCAL_NMI: ProcID FFh LINT1 - Polarity active: High Trigger by: Level                                                                          
Table [BOOT]            
Table [ASF!]            
Table [MCFG]            
Table [HPET]            
Table [SSDT]            
Table [SSDT]            
Table [SSDT]            
Size of FACDT 244                 
Type of computer - SOHO Server                              
System vector the SCI interrupt is wired to in 8259 mode. 9                                                           
System port address of the SMI Command Port 0xB2                                                
The value to write to SMI_CMD to disable SMI   0x70                                                   
The value to write to SMI_CMD to re-enable SMI 0x71                                                   
The value to write to SMI_CMD to enter the S4BIOS state 0x0                                                           
System port address of the PM1a                               
System port address of the PM1b Event Register Block 0                                                      
Number of bytes decoded by PM1a_EVT_BLK(PM1_EVT_LEN) 4                                                      
System port address of the PM1a Control Register Block 804                                                          
System port address of the PM1b Control Register Block 0                                                        
Number of bytes decoded by PM1a_CNT_BLK (PM1_CNT_LEN) 2                                                       
System port address of the PM2 Control Register Block 0                                                       
System port address of the Power Management Timer Control Register Block 808                                                                            
Number of bytes decoded by PM_TMR_BLK (=4) 4                                            
System port address of General-Purpose Event 0 Register                                                        
System port address of General-Purpose Event 1 Register Block 0                                                               
Number of bytes decoded by GPE0_BLK 0x8                                       
Number of bytes decoded by GPE1_BLK 0x0                                       
Offset within the ACPI general-purpose event model where GPE1 based events start                                                                                
 0  
GPE enable register: 0: 0: 0: 0                               
GPE status register: 0: 0: 38: DE                                 
The system does not support a C2 state. 1F4                                           
The system does not support a C3 state 1388                                           
The zero-based index of where the processor's duty cycle setting is within the p                                                                                
rocessor's P_CNT register 0                           
IA-PC Boot Architecture Fla                         
Fixed feature flags A5
The reset register:
Type of address space - System Memory
Register Bit Width  0
Register Bit Offset 0
Access size 0
Address 0
The value to write to the RESET_REG port to reset the system 0
***** Throttl Width 0 Offset 0
evxfevnt-176 [2] Enable: Transition to ACPI mode successful
evgpeblk-1105 [4] EvCreateGpeBlock: GPE 0 to 1F [_GPE] 4 regs on int 0x9
AcpiOsInstallIntterrupHandler IRQ9 handler F96DDC8D
evgpeblk-1205 [3] EvInitializeGpeBlock: Found 12 Wake, Enabled 1 Runtime GPEs in
 this block
************ AcpiEnableSubsystem Status = 0
AcpiOsDerivePCIID([PCI0] ,[P40C],) Bus:0 Dev:31 Fun:0 - Derive: Bus:0 Dev:31 Fun
:0
AcpiOsDerivePCIID([PCI0] ,[P41C],) Bus:0 Dev:31 Fun:0 - Derive: Bus:0 Dev:31 Fun
:0
************ Scan EC Status = 0
Completing Region/Field/Buffer/Package initialization:..........................
...........................
Initialized 22/26 Regions 0/0 Fields 8/8 Buffers 23/36 Packages (435 nodes)
Initializing Device/Processor/Thermal objects by executing _INI methods:

Attachments (3)

o1-sap.TXT (13.0 KB) - added by ydario 11 years ago.
/O1 /SAP:0x20 comport log
smp-sap-0x20.txt (13.6 KB) - added by ydario 11 years ago.
/SMP /SAP:0x20 acpica$ log
config.sys (7.3 KB) - added by ydario 11 years ago.
configuration file used for boot.

Download all attachments as: .zip

Change History (15)

comment:1 Changed 11 years ago by ydario

Boot with /SMP, /CD /SMP, /CD, /FS /CD /SMP, did not help.

comment:2 Changed 11 years ago by ydario

Booted with all strict kernel debugger, here is the console output.

                                 OS/2                                      
          (C) Copyright IBM Corp. 1987, 2001.  Tutti i diritti riservati.                                                                         

Internal revision 14.089_SMP                            
Il sistema ha rilevato un errore interno di                                           
elaborazione nella posizione ##0178:ffefbcd1 - 0011:00019c                                                        
line 60019, in file 4035 @(#)selmgra.asm     6.11 92/01/16                                                          
LaToSel       
0f8606f6 - 00/00 00:00:00.00                            
Internal revision 14.089_SMP                            
Il sistema si             
               fermato.                       
Prendere nota delle informazioni                                
visualizzate e rivolgersi all'assistenza tecnica.                                                 
eax=ffe39000 ebx=f97b01f6 ecx=ffdba890 edx=ffdb9dd6 esi=00000000 edi=00001000                                                                             
eip=ffefbcd1 esp=00005d42 ebp=00005d76 iopl=0 -- -- -- nv up ei pl zr na pe nc                                                                              
cs=0178 ss=1530 ds=0170 es=0170 fs=0000 gs=0000 cr2=ffe22000 cr3=00255000 p=00                                                                              
0178:ffefbcd1 8b442404       mov    eax,dword ptr [esp+04] ss:00005d46=ffe39000                                                                               
##g   
Symbols linked (acpi)                     

PSD_install options:" /O1" @#netlabs dot org:3.5#@ACPI core PSD Driver. (c) netl                                                                                
abs.org 2005-2007 Build date: Nov 25 2007 01:57:22                                                  
MPDATA:FF800000 ESP:FF800A70 Sel:1520 UsCPU:0                                             
New Stack = FFDFD000 Size:0x8000                                
PSD_INIT ESP=0xFFDFCFE0                       
AcpiOsInitialize ALLOC size 65536 at 0xF85B7000                                               
AcpiOsInitialize MapMem size 4096 at 0xFFE38000                                               
eax=00001520 ebx=00000000 ecx=fe20b08c edx=00000000 esi=ffe89734 edi=fcf90000                                                                             
eip=ffefc6cd esp=ffdfcf60 ebp=ffdfcf84 iopl=0 -- -- -- nv up ei ng nz na po cy                                                                              
cs=0178 ss=1520 ds=0170 es=0170 fs=0000 gs=0000 cr2=ffe22000 cr3=00255000 p=00                                                                              
0178:ffefc6cd cc             int     3                                      
##g

then system freezed as usual.

comment:3 Changed 11 years ago by pasha

  • Status changed from new to assigned

try add /SAP:0x20

comment:4 Changed 11 years ago by ydario

Done, but with debug kernel, trap is the same (line 60019, in file 4035 @(#)selmgra.asm).

comment:5 Changed 11 years ago by pasha

Need use 104a_SMP kernel

comment:6 Changed 11 years ago by ydario

oops, only now I realized that last allstrict kernel is .89

Now restored retail .104a SMP kernel.

Using /SAP option the system does not boot always, sometimes it freezes.

Once thing I see, is that ACPI (when working) can initialize only one processor (what happened to second core?).

I can get the following log:

PSD_install options:" /O1 /SAP:0x20" @#netlabs dot org:3.5#@ACPI core PSD Driver|U] <b


0:29.3
OemHlpXHandler: CallACPI16: 49008DF, CallACPI32: F9AA5182, Expor
. (c) netlabs.org 2005-2007 Build date: Nov 25 2007 01:57:228DF33E8) _PRT mapsregister: 0: 0: 0
CC  
UNMASK PIC IRQ1 mas
MPDATA:FF800000 ESP:FF800A70 Sel:1520 UsCPU:0Bus 0->1  ACPI: 'PCI1' (F
UNMASK PIC IRQ9 mas
New Stack = FFD00000 Size:0x8000lute symbols in active ma
0:28.0
PSD_INIT ESP=0xFFCFFFE0mask 0xFFFFD8F9 Real:FF
AcpiOsInitialize ALLOC size 65536 at 0xF9680000  
V
UNMASK PIC IRQ3 mask 0xFFFFDCF1 Real:FFEB7
AcpiOsInitialize MapMem size 4096 at 0xFFE9E000
UNMASK PIC IRQ5 mask 0xFFFFDCD9 Real:FFEB7CAC 
AcpiOsCreateLock 8   
0:28.5  class:
AcpiOsCreateLock 0IRQ9 mask 0xFFFFDC
AcpiOsPredefinedOverride: "_REV" the ac
cs=0178 ss=1530 ds=0
Sym
AcpiOsPredefinedOverride: "_OS_"4  typ
APM: PSD find success. PS
UNMASK PIC IRQ
ACPI: ASF! @ 0xFD4B8/0x67 (v16 DELL   B8K     0x14 ASL  0x61) <- 0:31.2      
UNMASK PIC IRQ9 mask 0xFFFF88D1 Real:FFEB7CA
ACPI: MCFG @ 0xFD51F/0x3E (v1 DELL   B8K     0x14 ASL  0x61): CMD_INIT_COMPLETEes found:                  
0:0.0
PSD_SET
ACPI: HPET @ 0xFD55D/0x38 (v1 DELL   B8K     0x14 ASL  0x61)NMASK PIC IRQ0 mask 0xFFFF88D0 Real:FFEB7CACPCI2'089_SMP    
ACPI: SSDT @ 0x7FE7CC40/0x1F9 (v1 DpgPmm Cpu0Ist 0x11 INTL 0x20050624)5  
Symbols linked (vmanwin)
               f
0:29.0
UNMASK PIC IRQ10 
ACPI: SSDT @ 0x7FE7D049/0x1F9 (v1 DpgPmm Cpu1Ist 0x11 INTL 0x20050624)zion
******** Event tread ************                                
tbxface-619 [2] TbLoadNamespace: ACPI Tables successfully acquired (pmpre)IC:'LNKF':9 APIC:21 up
Symbols linked (gre2vman)p+04      
*** AcpiLoadTables Status = 0 ***an)E  'PCI4'            
Symbols 
Table [DSDT]n)86:27B8  '
Table [FACS]
Symbols unl
Table [FACP]an)86:27DF  
Table [SSDT] PCI:
Symbol
Table [APIC]2vman)000 gs
Local APIC address: FEE00000hnked (vman)0019, in fil
0:31.
System also has 8259on: Unicall5 PIC:'LN
APIC_PROCESSOR: ProcID 1h LocalApicID 0h - usable      
0178:ffefbc
Symbols linked (cwmm)         
APIC_PROCESSOR: ProcID 2h LocalApicID 1h - usable04       mov    eax,dwo
OemHlpXHandler: CMD_SHUTD
APIC_PROCESSOR: ProcID 3h LocalApicIDmHlpXHandler: CMD_                  
Table [SSDT]50E0x19  Sta
Table [SSDT]8:
visualizz
Table [SSDT]nt [_
23/08/
Size of FACDT 244<DIR>            
Type of computer - SOHO Servervent [_L1E]          
A
Instal
System vector the SCI interrupt is wired to in 8259 mode. 9]alizzate e00
Install GPE0x1F  Status 0x0dOve
23/08/07  18:
System port address of the SMI Command Port 0xB2  Status 0x0tializeSubsystem Status 
26/08/07  1
The value to write to SMI_CMD to disable SMI   0x70 esp=00005d42 eb
Event [_L04]pl=0
23/08/07  18:43  
The value to write to SMI_CMD to re-enable SMI 0x71L0C]            
Install GPE0xC  Stat
23/08/07  18:
The value to write to SMI_CMD to enter the S4BIOS state 0x0Status 0x0 ss=1530 ds=0170 es=0
23/08/07  21:31         <DI
System port address of the PM1a                       
       
Offset within the ACPI general-purpose event model where GPE1 based events start          0  CONFIG.006rrore int
GPE2 Status:82A Enable:82E EnableWake:0 Enabl
2
 08/
GPE enable register: 0: 0: 0: 0    0  CONFIG.007ne
*** AcpiLoa
GPE status register: 0: 0: 38: DE:0x2 St
26/08/07  19:14          
The system does not support a C2 state. 1F4GPE0x1A Flag:0x2 Status - Set 0x0 Enable 
2
The system does not support a C3 state 1388IBMLVL.INIFlag:0x2 Status - Set 0x0 Enable 
The zero-based index of where the processor's duty cycle setting is within the p Enable 0x0          fermato
Il sistema ha ril
15/06/07  17:44         908.560  
rocessor's P_CNT register 0 BaseGPENumber:            
IA-PC Boot Architecture Fla                         
***** Throttl Width 0 Offset 0 
eip=ffefbcd1 esp=00
23/08/07
evxfevnt-176 [2] Enable: Transition to ACPI mode successful00h INTI 0a pe nc78:ff
UNMASK PIC IRQ10 mask 0
26/08/07  19
evgpeblk-1105 [4] EvCreateGpeBlock: GPE 0 to 1F [_GPE] 4 regs on int 0x9mask 0xFFFFDCF1 Real:FFEB7CAC
26/08/07  19:21          34.920           
AcpiOsInstallIntterrupHandler IRQ9 handler F96DDC8D                    
      4.298.564 bytes in 21 fi
evgpeblk-1205 [3] EvInitializeGpeBlock: Found 12 Wake, Enabled 1 Runtime GPEs in
Symbols linked (cadh)l SysInt 9 - Po
 15.549.763.584 bytes frees. PSD F        
 this bloc
       
Completing Region/Field/Buffer/Package initialization:..........................e MapMe
UNMASK PI
AcpiOsInitialize MapMem size 4096 at 0xFFE9E000               
...........................C IR
AcpiOsCreateLock 8 Rea
Initialized 22/26 Regions 0/0 Fields 8/8 Buffers 23/36 Packages (435 nodes): "_REV"8CC9 Real:FFEB7CAC              
AcpiOsPredefinedOverride: "_OS_"ym
************ AcpiInitializeObjects mask:20 Status = 0e: override to eComStation0x71    
Symbols linked (us
Processor [CPU0]   
P
AcpiOsPred
Processor [CPU1]                
PSD
Set 24 lines from IRQ00 PIC 1 20000 edi
ACPI
WakeupVector Lin: FFDED000(v1 DELL dt_ex 0x1000 INTL
WakeupVector Lin: FFDED000 Phys: 6E000 IPIStack:FFDEB000 s_cpu:FFDE3000(vsvga)em
ACPI: FACS @ 0x7FE7CC00/0x40linked (vmanwin)ck 0ck = FFD
ACPI
GetWakeupVector Status = 01 DELL st_ex 0x1000 INTL 0
PIC Mask:FFFFDFFB                 
ProcInit CPU0******* Event
UNMASK PIC IRQ8 mask 0xFFF                        
OemHlpXHandler: ACPI.CFG closed: 0, Buffer at FD3894D8
System port address o
Symbols unlinked (pmi1002)egist
Found bridge "PCI0" BBN is absent status:5  B8K     0x14 ASL  0x61)ymbols linked (gr
Finding:0 bridgespiOsPredefined
Sy
0:0.0  Class:600  Hdr:0   Bridge H->0 DELL   B8K     0x14 ASL  0x61)GPE en
0:1.0  Class:604  Hdr:1   Bridge 0->1n)4B8/0x67 (v16 
ACPI: SSDT @ 0x7FE7C
0:28.0  Class:604  Hdr:81   Bridge 0->2x20050624)s linked (vman)0: 38: DE     
0:28.4  Class:604  Hdr:81   Bridge 0->3:
ACPI: SSDT @ 0x7FE7D049/0x1F9 (v1 Dpg
0:28.5  Class:604  Hdr:81   Bridge 0->4ls linked (inscfg32)PI: XSDT @ 0xFD1F2/
0:29.0  Class:C03  Hdr:80CPI: SSDT @ 0x7FE7D452/0x
0:29.1  Class:C03  Hdr:0 INTL 0x20050624)   0x14
0:29.2  Class:C03  Hdr:0                        

0:31.3  Class:C05  Hdr:0 = 0 ***K0x49/0
atdt3483
4:0.0  Class:200  Hdr:0[DSDT]egister B
. 
Tabl
5:7.0  Class:300  Hdr:0le [FACP]Nov 25 2007 
T
PCI Bus scan: 6 PCI buses found.IC]490/0cpiLoad
Local APIC addre
Scan ACPI tree for PCI functionsl:1520 Us
System also has 8259ze
0:0.0  'PCI0' (F96823E8)ROCESSOR: ProcID 1h Loca
0:30.0  'PCI4' (F9682570)te to the RESET_R
PSD_INI
0:28.0  'PCI2' (F96828A8)CESSOR: ProcID 2h LocalAp
0:28.1  'PCI3' (F9682CF0)0xF8DF1000        

OK  

0:1.0  'PCI1' (F96830E0)SSOR: ProcID 3h LocalApi
0:28.4  'PCI5' (F96834D0)8A000*** Throttl Width 0 
0:28.5  'PCI6' (F96838C0)_PROCESSOR: ProcID 4h Loc
0:31.0  'ISA_' (F9684120)Lock 0              
   



at
Table [SSDT]PU:0 
                       A[]PI: APIC @ 0xFD
Type of co
1: 'LNKB' (F96857E8)  P[ 3, 4, 5, 6, 7, 9,*10, 11, 12, 15] <- 4:0.0 0:31.3terrupt is wired to in 8259 mode. 9490/0x28 (v1 DELL   B8K     0x14 ASL  0
                       A[] port address of the SMI C
2: 'LNKC' (F9685A08)  P[*3, 4, 5, 6, 7, 9, 10, 11, 12, 15] <- 0:29.2value to write to SMI_CMD to disable SMI   0x70e 
APIC_PROCESSOR:
AC
                       A[] DE
The value to write to 
3: 'LNKD' (F9685C28)  P[*3, 4, 5, 6, 7, 9, 10, 11, 12, 15] <- 5:7.0PI: HPET @ 0
The value to write to SMI_CMD to enter the S4BIOS stat
                       A[]di=f                    
A
4: 'LNKF' (F9686068)  P[ 3, 4, 5, 6, 7,*9, 10, 11, 12, 15] <- 0:29.7 0:29.0msn 
The v
Serial write
at S
O_
Table [FACP]ble 
System port address of the
                       A[]mm CalAip=ffefc6cd esp=f  
0:29.7  8086:27CC          IRQs: PCI:9 PIC:'LNKF':9 APIC:21sPredef
APIC_PROCESSOR: ProcID 8h
The system does not suppo
0:30.0  8086:244E  'PCI4'stem port                
0:31.0  8086:27B8  'ISA_' not support a C3 state 1
0:31.1  8086:27DF          IRQs: PCI:11 PIC:'LNKA':11 APIC:16index of where the processor's duty cycle setting is within t
0:31.2  8086:27C0          IRQs: PCI:5 PIC:'LNKE':5 APIC:20em does not suppor
c Tri
rocessor's P_CNT register 0D to re
0:31.3  8086:27DA          IRQs: PCI:10 PIC:'LNKB':10 APIC:17olarity active: High 0ePCII
Fixed feature flags A50 Dev:31 Fu
4:0.0  14E4:167A          IRQs: PCI:10 
Trigger b
                          
** Total use:105880 unuse:12272 count:1892 **31 Fun:0 - Derive: Bus:0 Dev:31 Fun          
Get GpeHdl Status = 0 - AE_OKytes decoded by PM1a_EVT_BLK(
Event [_L00]0 e
AcpiOsDe
Install GPE0x0  Status 0x0Bus:0 Dev:31 Fun:0 - Deriv
Event [_L19]31 FunM1a Co
Install GPE0x19  Status 0x0ebp=00005d76 iopl=0 -- -- -
Event [_L1A] zr na
:0 n

Install GPE0x1A  Status 0x0= 0M1b Control Register Blo
Event [_L1E]eting Region
Install GPE0x1E  Status 0x0lization:..................
Event [_L1F]CNT_BLK (PM1
Install GPE0x1F  Status 0x0IRQ9 handler F96DDC8D      
Event [_L08]............
Install GPE0x8  Status 0x0egister Blo
Initialized 22
Event [_L03]/0 Fields 8/
Install GPE0x3  Status 0x035 nodes)ess of the Power 
Event [_L04]mer Control 
Install GPE0x4  Status 0x0zeGpeB
************ AcpiIn
Event [_L0C]ts mask:20 S
Install GPE0xC  Status 0x0bytes decoded by PM_TMR_BL
Event [_L0E]cessor [CPU0
Install GPE0xE  Status 0x0 [CPU1] port address of
Pr
Event [_L0D]]Event 0 Reg
Install GPE0xD  Status 0x0           
Status 0x0 0 

In Xrupt F968B1B8 in arg F968B1B8f bytes

Init ACPI rc=0_BLK 0x0B7
      Nodephys FEC00
Name [_GPE]EE000 APIC 
Flags: 0020) Ver
Reg count 4try 0x17 (1
GPE0x0 Flag:0x4 Status - Set 0x0 Enable 0x0Rocal APIC       
eax=00001520 ebx=00
GPE0xC Flag:0x2 Status - Set 0x0 Enable 0x0
GPE0xD Flag:0x2 Status - Set 0x0 Enable 0x0
GPE0xE Flag:0x2 Status - Set 0x0 Enable 0x0
GPE1 Status:829 Enable:82D EnableWake:79 EnableRun:0 BaseGPENumber:8
GPE2 Status:82A Enable:82E EnableWake:0 EnableRun:0 BaseGPENumber:10
GPE0x19 Flag:0x2 Status - Set 0x0 Enable 0x0
GPE0x1A Flag:0x2 Status - Set 0x0 Enable 0x0
GPE0x1E Flag:0x2 Status - Set 0x0 Enable 0x0
GPE0x1F Flag:0x2 Status - Set 0x0 Enable 0x0
GPE3 Status:82B Enable:82F EnableWake:C6 EnableRun:0 BaseGPENumber:18
=========== Status 0x0 0
************ Leave Sleep Status = 0x0 - AE_OK
OemHlpXHandler: ACPI_START_EVENTS 4
OemHlpXHandler: CallACPI16: 47008DF, CallACPI32: F96B5182, ExportTable32: F96A01
CC
UNMASK PIC IRQ1 mask 0xFFFFDCF9 Real:FFEBB8F4
UNMASK PIC IRQ9 mask 0xFFFFDCF9 Real:FFEBB8F4
UNMASK PIC IRQ10 mask 0xFFFFD8F9 Real:FFEBB8F4
UNMASK PIC IRQ3 mask 0xFFFFDCF1 Real:FFEBB8F4
UNMASK PIC IRQ5 mask 0xFFFFDCD9 Real:FFEBB8F4
UNMASK PIC IRQ9 mask 0xFFFFDCF9 Real:FFEBB8F4
APM: PSD find success. PSD Ftable:F96A01D0
Register Notify 1st FFCBA1CE

comment:7 Changed 11 years ago by pasha

For multi core need add /SMP ;-) I see boot with /SAP:0x20 goto apm load. So you need check danis506.add version. Can you attach log file instead copying? HTML eat any symbols

Changed 11 years ago by ydario

/O1 /SAP:0x20 comport log

Changed 11 years ago by ydario

/SMP /SAP:0x20 acpica$ log

comment:8 Changed 11 years ago by ydario

The system bootstrap switches from VIO to PM only when the debug kernel (half strict) is installed. With retail kernel (.104a), the boot freezes. Tried with Panorama and SNAP video drivers.

comment:9 Changed 11 years ago by ydario

New: the freeze occurs only if retail ACPI.PSD is used; using debug ACPI driver, switch to graphics works with both kernels.

comment:10 Changed 11 years ago by pasha

Read pls http://ru.ecomstation.ru/projects/acpitools/?action=testcase , then download file acpi-t-29122007.zip. Try boot with it. Intresting result. Have freeze in boot, no freeze in boot

Changed 11 years ago by ydario

configuration file used for boot.

comment:12 Changed 11 years ago by eco

  • Resolution set to wontfix
  • Status changed from assigned to closed

User doesn't respond. 3-4 monthes passed.

Let's test with new version

Note: See TracTickets for help on using tickets.